GROUPINFO(8)

NAME
groupinfo - display group information

SYNOPSIS
groupinfo [-e] group

DESCRIPTION
The groupinfo utility displays the name, group ID (GID), and members of the specified group.

The options are as follows:

-e  Do not display anything (quiet mode). This form of the command is useful for scripts which need to check whether a particular group name or GID is already in use on the system.

The group argument may be either a group name or a GID.

EXIT STATUS
The groupinfo utility exits 0 if group exists, and non-zero if it does not.

SEE ALSO
group(5), passwd(5), group(8), userinfo(8)

HISTORY
The groupinfo utility first appeared in OpenBSD 2.7.

AUTHORS
The groupinfo utility was written by Alistair G. Crooks <agc@NetBSD.org>.

CAVEATS
If the specified group is the primary group of a user, but that user is not listed as a member of the group in the group(5) file, the groupinfo utility fails to list that user as a member of the group.